## CamelPOP3Store

CamelPOP3Store

## Functions

CamelDataCache * | camel_pop3_store_ref_cache ()
CamelPOP3Engine * | camel_pop3_store_ref_engine ()
gboolean | camel_pop3_store_expunge ()
CamelStream * | camel_pop3_store_cache_add ()
CamelStream * | camel_pop3_store_cache_get ()
gboolean | camel_pop3_store_cache_has ()

## Types and Values

struct | CamelPOP3Store

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelService
                ╰── CamelStore
                    ╰── CamelPOP3Store

## Implemented Interfaces

CamelPOP3Store implements GInitable and CamelNetworkService.

## Description

## Functions

### camel_pop3_store_ref_cache ()

    CamelDataCache *
    camel_pop3_store_ref_cache (CamelPOP3Store *store);

Returns the CamelDataCache for `store` .

The returned CamelDataCache is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

store | a CamelPOP3Store |

#### Returns

a CamelDataCache

### camel_pop3_store_ref_engine ()

    CamelPOP3Engine *
    camel_pop3_store_ref_engine (CamelPOP3Store *store);

Returns the CamelPOP3Engine for `store` .

The returned CamelPOP3Engine is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

store | a CamelPOP3Store |

#### Returns

a CamelPOP3Store

### camel_pop3_store_expunge ()

    gboolean
    camel_pop3_store_expunge (CamelPOP3Store *store,
                              GCancellable *cancellable,
                              GError **error);

Expunge messages from the store. This will result in the connection being closed, which may cause later commands to fail if they can't reconnect.

#### Parameters

store | a CamelPOP3Store |
error | return location for a GError, or `NULL` |
cancellable | optional GCancellable object, or `NULL` |

### camel_pop3_store_cache_add ()

    CamelStream *
    camel_pop3_store_cache_add (CamelPOP3Store *store,
                                const gchar *uid,
                                GError **error);

Creates a cache file for `uid` in `store` and returns a CamelStream for it. If an error occurs in opening the cache file, the function sets `error` and returns `NULL`.

The returned CamelStream is referenced for thread-safety and must be unreferenced when finished with it.

#### Parameters

store | a CamelPOP3Store |
uid | a message UID |
error | return location for a GError, or `NULL` |

#### Returns

a CamelStream, or `NULL`

### camel_pop3_store_cache_get ()

    CamelStream *
    camel_pop3_store_cache_get (CamelPOP3Store *store,
                                const gchar *uid,
                                GError **error);

Opens the cache file for `uid` in `store` and returns a CamelStream for it. If no matching cache file exists, the function returns `NULL`. If an error occurs in opening the cache file, the function sets `error` and returns `NULL`.

The returned CamelStream is referenced for thread-safety and must be unreferenced when finished with it.

#### Parameters

store | a CamelPOP3Store |
uid | a message UID |
error | return location for a GError, or `NULL` |

#### Returns

a CamelStream, or `NULL`

### camel_pop3_store_cache_has ()

    gboolean
    camel_pop3_store_cache_has (CamelPOP3Store *store,
                                const gchar *uid);

Returns whether `store` has a cached message for `uid` .

#### Parameters

store | a CamelPOP3Store |
uid | a message UID |

#### Returns

whether `uid` is cached

## Types and Values

### struct CamelPOP3Store

    struct CamelPOP3Store;